## GspellTextBuffer GspellTextBuffer — Spell checking support for GtkTextBuffer |

## Functions

GspellTextBuffer * | gspell_text_buffer_get_from_gtk_text_buffer ()
GtkTextBuffer * | gspell_text_buffer_get_buffer ()
GspellChecker * | gspell_text_buffer_get_spell_checker ()
void | gspell_text_buffer_set_spell_checker ()

## Properties

GtkTextBuffer * | buffer | Read / Write / Construct Only
GspellChecker * | spell-checker | Read / Write

## Types and Values

| GspellTextBuffer

## Object Hierarchy

        GObject
        ╰── GspellTextBuffer

## Includes

    #include <gspell/gspell.h>

## Description

GspellTextBuffer extends the GtkTextBuffer class but without subclassing it, because the GtkSourceView library has already a GtkTextBuffer subclass.

## Functions

### gspell_text_buffer_get_from_gtk_text_buffer ()

    GspellTextBuffer *
    gspell_text_buffer_get_from_gtk_text_buffer
                                   (GtkTextBuffer *gtk_buffer);

Returns the GspellTextBuffer of `gtk_buffer` . The returned object is guaranteed to be the same for the lifetime of `gtk_buffer` .

#### Parameters

gtk_buffer | a GtkTextBuffer. |

#### Returns

the GspellTextBuffer of `gtk_buffer` .

[transfer none]

### gspell_text_buffer_get_buffer ()

    GtkTextBuffer *
    gspell_text_buffer_get_buffer (GspellTextBuffer *gspell_buffer);

#### Parameters

gspell_buffer | a GspellTextBuffer. |

#### Returns

the GtkTextBuffer of `gspell_buffer` .

[transfer none]

### gspell_text_buffer_get_spell_checker ()

    GspellChecker *
    gspell_text_buffer_get_spell_checker (GspellTextBuffer *gspell_buffer);

#### Parameters

gspell_buffer | a GspellTextBuffer. |

#### Returns

the GspellChecker if one has been set, or `NULL`.

[nullable][transfer none]

### gspell_text_buffer_set_spell_checker ()

    void
    gspell_text_buffer_set_spell_checker (GspellTextBuffer *gspell_buffer,
                                          GspellChecker *spell_checker);

Sets a GspellChecker to a GspellTextBuffer. The `gspell_buffer` will own a reference to `spell_checker` , so you can release your reference to `spell_checker` if you no longer need it.

#### Parameters

gspell_buffer | a GspellTextBuffer. |
spell_checker | a GspellChecker, or `NULL` to unset the spell checker. | [nullable]

## Types and Values

### GspellTextBuffer

    typedef struct _GspellTextBuffer GspellTextBuffer;

## Property Details

### The `“buffer”` property

      “buffer”                   GtkTextBuffer *

The GtkTextBuffer.

Flags: Read / Write / Construct Only

### The `“spell-checker”` property

      “spell-checker”            GspellChecker *

The GspellChecker.

Flags: Read / Write